FreeMat

- Main Page
- Related Pages

GETLINE Get a Line of Input from User

Section: Input/Ouput Functions

# Usage

Reads a line (as a string) from the user. This function has two syntaxes. The first is

      a = getline(prompt)

where `prompt` is a prompt supplied to the user for the query. The second syntax omits the `prompt` argument:

      a = getline

Note that this function requires command line input, i.e., it will only operate correctly for programs or scripts written to run inside the FreeMat GUI environment or from the X11 terminal. If you build a stand-alone application and expect it to operate cross-platform, do not use this function (unless you include the FreeMat console in the final application).